// Device : Washer
{
  "deviceName": "[dishwasher]",
  "deviceType": "x.wwst.d.dishwasher",
  "collectionInfo": {
    "rt": "x.com.samsung.devcol",
    "uri": "/device",
    "ocif":["oic.if.baseline", "oic.if.ll"]
  },
  "resourceTypes": [
    {
      "rt": "x.com.st.powerswitch",
      "uri": "/switch/main",
      "n": "Power Switch",
      "v": true
    },
    {
      "rt": "x.com.st.mode.dishwasher",
      "uri": "/dishwasherMode/main",
      "n": "Mode",
      "v": true
    },
    {
      "rt": "x.com.st.operationalstate.dishwasher",
      "uri": "/dishwasherOperatingState/main",
      "n": "Machine State",
      "v": true
    },
    {
      "rt": "x.com.st.filter",
      "uri": "/filterStatus/main",
      "n": "Filter State",
      "v": true
    },
    {
      "rt": "x.com.st.energymeter",
      "uri": "/energyMeter/main",
      "n": "Energy meter",
      "v": true
    }
  ],
  "platformInfo": {
    "pi": "1234",//this value is mandatory for registering platform
    "mnmn": "Samsung Electronics",
    "mnml": "http://www.samsung.com",
    "mnmo": "0x0100",
    "mndt": "",
    "mnpv": "",
    "mnos": "",
    "mnhw": "SWL-CQ52",
    "mnfv": "Virtual Device_0824",
    "mnsl": "",
    "st": "",
    "vid": "GE-WM-DW-000001"
  }
}